<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>
<script LANGUAGE="JavaScript">
				function numerico(e)
				{	var key; 
					var keychar;
					if (window.event)
					   key = window.event.keyCode;
					else if (e)
					   key = e.which;
					else
					   return true;
					keychar = String.fromCharCode(key);
					keychar = keychar.toLowerCase();
					if ((key==null) || (key==0) || (key==8) || (key==9) || (key==27) )
					   return true;
					else if ((("1234567890").indexOf(keychar) > -1))
					   return true;
					else
					   return false;
				}
				
				function alfanumerico(e)
				{
					var key;
					var keychar;
					if (window.event)
					   key = window.event.keyCode;
					else if (e)
					   key = e.which;
					else
					   return true;
					keychar = String.fromCharCode(key);
					keychar = keychar.toLowerCase();
					// control keys
					if ((key==null) || (key==0) || (key==8) ||
						(key==9) || (key==27) )
					   return true;
				
					// alphas and numbers
					else if ((("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz 1234567890áéíóúÁÉÍÓÚüÜñÑ").indexOf(keychar) > -1))
					   return true;
					else
					   return false;
				}			
		</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
			////Arrastrando la Variable del Documento			
			$documento=$_GET["documento"] or $documento=$_POST["documento"];
			$etiqueta=$_GET["etiqueta"] or $etiqueta=$_POST["etiqueta"];
			$sku=$_GET["sku"] or $sku=$_POST["sku"];
			$NoTarSurti=$_GET["NoTareaSurt"] or $NoTarSurti=$_POST["NoTareaSurt"];

?>
<div data-role="header">
		<h1>|| LOGSYS - WMS ||</h1>
</div>
<div data-role="content" align="center">
<!-- Inicia Cuerpo de la Pantalla -->
<?PHP
///Igualando Variables Globales			
$CuentaCR1 = $CveCueCR1;
$ClavBodCR2 = $CveBodCR1;		
$NoDocSurEn = $documento;	

///************************* INICIA ALGORITMO 1
			
///Identificar los datos del Documento de Surtido			
$sqlIDR1 = mysql_query("select EDO_DOCUMENTO,TIPO_EXTRACCION,TIPO_SALIDA,TIPO_SURTIDO from tabla_docsurtido where CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocSurEn'");
if (mysql_numrows($sqlIDR1)==0) echo "";
else{
$registroIDR1=mysql_fetch_array($sqlIDR1);
}
if (mysql_numrows($sqlIDR1)>0)
{
$EdoDocIDR1=$registroIDR1["EDO_DOCUMENTO"];
$TipAlmIDR1=$registroIDR1["TIPO_EXTRACCION"];
$TipSalIDR1=$registroIDR1["TIPO_SALIDA"];
$TipSurIDR1=$registroIDR1["TIPO_SURTIDO"];
}			
						
///Barrer toda la Orden de Trabajo
$sql_W1=mysql_query("Select ID,SKU,LOTE,LOTEPRODU,CANT_X_SURTIR from tabla_detalledocsur where CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocSurEn' AND SKU='$sku' Order By ID ASC");
while($res_W1=mysql_fetch_array($sql_W1))
{///Inicia While 01
$IdBaDa_w1 = $res_W1['ID'];	
$CodSku_w1 = $res_W1['SKU'];
$VaLote_w1 = $res_W1['LOTE'];
$LotePr_w1 = $res_W1['LOTEPRODU'];
$CanxSu_w1 = $res_W1['CANT_X_SURTIR'];

	///Identicar si el Codigo tiene confirgurado Picking Fijo
	$sql_VP1 = mysql_query("select CLAVEUBICACION,MINIMO,PICKEO_MAXIMO from tabla_pickingfijo where CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_w1' AND DISPONIBILIDAD='SI'");
	if (mysql_numrows($sql_VP1)==0) echo "";
	else{
	$registro_VP1=mysql_fetch_array($sql_VP1);
	}
	if (mysql_numrows($sql_VP1)>0)
	{
		$CveUbicFijo=$registro_VP1["CLAVEUBICACION"];
		$StocMinFijo=$registro_VP1["MINIMO"];
		$PickMaxFijo=$registro_VP1["PICKEO_MAXIMO"];
	}

	///Barrer todo el Stock a fin de generar todas las tareas de surtido en base a los criterios generales del Surtido	
	$sql_W2=mysql_query("Select ID,CANTIDAD,LOTE,LOTEPRODU,NO_PALLET,UBICACION,PRIORIDAD from tabla_inventario where SKU='$CodSku_w1' AND CVE_CUENTA='$CuentaCR1' AND TIPO_ALMACEN='$TipAlmIDR1' AND EDO_CALIDAD='$TipSalIDR1' AND CANTIDAD>'0' AND UBICACION='$CveUbicFijo' AND NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CuentaCR1') Order By FECHA_ENTRADA ASC");
	while($res_W2=mysql_fetch_array($sql_W2))
	{///Inicia While 02
	$IdBaDa_w2 = $res_W2['ID'];
	$CanPal_w2 = $res_W2['CANTIDAD'];
	$LotPal_w2 = $res_W2['LOTE'];
	$LPrPal_w2 = $res_W2['LOTEPRODU'];
	$NumPal_w2 = $res_W2['NO_PALLET'];
	$UbiPal_w2 = $res_W2['UBICACION'];
	$Priori_w2 = $res_W2['PRIORIDAD'];
	
	
	////Identificar el total de piezas con tareas ya Registradas
		$sqlSUMA = "Select SUM(CANT_ASIGNADA) as ObtCant FROM tabla_detalledocsurprio WHERE CVE_CUENTA='$CuentaCR1' AND TIPO_ALMACEN='$TipAlmIDR1' AND NO_DOCUMENTO='$NoDocSurEn' AND SKU='$CodSku_w1'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotApartada =  $PrePiezas ['ObtCant'];
	
		
		if ($TotApartada == "0" or $TotApartada == "")
		{
			///$CantGenApartada = $TotApartada;
			$CantGenApartada = "0";
			///echo "Entra igual a 0"; -- Alert
		}
		else
		{
			$CantGenApartada = $TotApartada + $CanPal_w2;
		}
		
	///Identificar la Cantidad por Surtir VS la Cantidad Asignada
		if ($CantGenApartada <= $CanxSu_w1)
		{///Inicia If Valida Por Surtir Vs Asignado 01
			$CantGenApartada = $TotApartada + $CanPal_w2;
			
			///echo "<script>alert('En la seciión 1: $CodSku_w1 | $CantGenApartada <= $CanxSu_w1');</script>";
			
			///Identificar el codigo SKU del producto por medio de la clave del Pallet
			$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2' AND SKU='$CodSku_w1'");
			if (mysql_numrows($sqlDU2)==0) echo "";
			else{
			$registroDU2=mysql_fetch_array($sqlDU2);
			}
			if (mysql_numrows($sqlDU2)>0)
			{
				$CCanti=$registroDU2["CANTIDAD"];
				$ValLote_RC2=$registroDU2["LOTE"];
				$Priorid_RC2=$registroDU2["PRIORIDAD"];
			}
			
///¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿? Inicia Proceso 2 del Algoritmo ¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?///
			if ($CantGenApartada > $CanxSu_w1)
			{///Inicia If 200
				
			///Inicia proceso donde solo se seleccionan las piezas solicitadas dentro del Surtido 
			///(Cantidad del Pallet es Mayor a la solicitada o al Restante solicitado)
								
				///Operación Artimetica
				$CantRestFin = $CCanti - $CanxSu_w1;
				
				///Guarda la modificación del Stock en base a cantidad asignada al Surtido
				$sql_GM1="UPDATE tabla_inventario SET CANTIDAD='$CantRestFin' WHERE CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_w1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2'";
				$resultado_GM1=mysql_query($sql_GM1,$conexion) or die(mysql_error());
				
		///Inicia - Generar Clave de Tarea 01
				
				////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{	
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
				
				///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
					values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
		///Termina - Generar Clave de Tarea 01
				
				///Generador de ID consecutivo en la tabla Tareas
					$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
				///Fecha y Hora
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Generar Tarea de Surtido
					$sql_GT = "insert tabla_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,LOTE)
        			values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','$NumPal_w2','$CodSku_w1','$CanxSu_w1','$CanxSu_w1','0','$NoDocSurEn','POR EJECUTAR','$UsuEn','$Fecha','$HoraOK','$UbiPal_w2','$Priorid_RC2','$ValLote_RC2')";
					$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
				
				///Guardar en la BD la cantidad Apartada
					$sqlGDS2 = "insert tabla_detalledocsurprio (CVE_BODEGA,CVE_CUENTA,TIPO_ALMACEN,NO_DOCUMENTO,SKU,CANT_ASIGNADA,USUARIO_REG,FECHA,HORA)
					values('$ClavBodCR2','$CuentaCR1','$TipAlmIDR1','$NoDocSurEn','$CodSku_w1','$CanxSu_w1','$UsuEn','$Fecha','$HoraOK')";
					$resultadoGDS2=mysql_query($sqlGDS2,$conexion) or die(mysql_error());
				
			}///Termina If 200
			else
			{///Inia else 200
				
				///Inicia proceso donde se seleccionan todas las piezas solicitadas dentro del Pallet
				///(Cantidad del Pallet es Igual a la solicitada o al Restante solicitado)
							
				///Operación Artimetica
				///$CantRestFin = $CCanti - $CanxSu_w1;  ---- NO ESTOY SEGURO SI ES AQUI
				$CantRestFin = $CCanti - $CCanti;
				
				///Guarda la modificación del Stock en base a cantidad asignada al Surtido
				$sql_GM1="UPDATE tabla_inventario SET CANTIDAD='$CantRestFin' WHERE CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_w1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2'";
				$resultado_GM1=mysql_query($sql_GM1,$conexion) or die(mysql_error());
				
		///Inicia - Generar Clave de Tarea 02
				
				////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{	
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
				
				///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
					values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
		///Termina - Generar Clave de Tarea 02
				
				///Generador de ID consecutivo en la tabla Tareas
					$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
				///Fecha y Hora
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Generar Tarea de Surtido
					$sql_GT = "insert tabla_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,LOTE)
        			values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','$NumPal_w2','$CodSku_w1','$CanxSu_w1','$CCanti','0','$NoDocSurEn','POR EJECUTAR','$UsuEn','$Fecha','$HoraOK','$UbiPal_w2','$Priorid_RC2','$ValLote_RC2')";
					$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
				
				///Guardar en la BD la cantidad Apartada
					$sqlGDS2 = "insert tabla_detalledocsurprio (CVE_BODEGA,CVE_CUENTA,TIPO_ALMACEN,NO_DOCUMENTO,SKU,CANT_ASIGNADA,USUARIO_REG,FECHA,HORA)
					values('$ClavBodCR2','$CuentaCR1','$TipAlmIDR1','$NoDocSurEn','$CodSku_w1','$CCanti','$UsuEn','$Fecha','$HoraOK')";
					$resultadoGDS2=mysql_query($sqlGDS2,$conexion) or die(mysql_error());
				
				
			}///Termina else 200
 					
			
		}///Termina If Valida Por Surtir Vs Asignado 01
		else
		{///Inicia Else Valida Por Surtir Vs Asignado 01
			///break;
			
			
///$%&$%&$%&$%&$%&$%&$%&$%&$%&$%& INICIA NUEVO PROCESO $%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&///
			
			
			
			///Identificar el codigo SKU del producto por medio de la clave del Pallet
			$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2' AND SKU='$CodSku_w1'");
			if (mysql_numrows($sqlDU2)==0) echo "";
			else{
			$registroDU2=mysql_fetch_array($sqlDU2);
			}
			if (mysql_numrows($sqlDU2)>0)
			{
				$CCanti=$registroDU2["CANTIDAD"];
				$ValLote_RC2=$registroDU2["LOTE"];
				$Priorid_RC2=$registroDU2["PRIORIDAD"];
			}
			
			///¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿? Inicia Proceso 2 del Algoritmo ¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?///
			if ($CantGenApartada > $CanxSu_w1)
			{///Inicia If 200 - Proceso Nuevo Resurtiro
				
				////Identificar el total de piezas con tareas ya Registradas
				$sqlSUMA = "Select SUM(CANT_ASIGNADA) as ObtCant FROM tabla_detalledocsurprio WHERE CVE_CUENTA='$CuentaCR1' AND TIPO_ALMACEN='$TipAlmIDR1' AND NO_DOCUMENTO='$NoDocSurEn' AND SKU='$CodSku_w1'";
				$resSUMA = mysql_query($sqlSUMA); 
				$PrePiezas = mysql_fetch_assoc($resSUMA);
				$TotApartada =  $PrePiezas ['ObtCant'];
				
	///Consultar si ya se acompleto la cantidad Solicitada
	if ($TotApartada == $CanxSu_w1)
	{///Inicia If Break NP_001
		break;
	}///Termina If Break NP_001
	else
	{///Inicia Else Break NP_001
				
			///Inicia proceso donde solo se seleccionan las piezas solicitadas en el Remanente del Surtido
			///(Cantidad del Pallet es Mayor a la solicitada o al Restante solicitado)
								
				///Operación Artimetica
				///$CantRestFin = $CCanti - $CanxSu_w1;
				$CantRestFin2 = $CanxSu_w1 - $TotApartada;
				$CantRestFin = $CCanti - $CantRestFin2;
				
				///Guarda la modificación del Stock en base a cantidad asignada al Surtido
				$sql_GM1="UPDATE tabla_inventario SET CANTIDAD='$CantRestFin' WHERE CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_w1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2'";
				$resultado_GM1=mysql_query($sql_GM1,$conexion) or die(mysql_error());
				
		///Inicia - Generar Clave de Tarea 01
				
				////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{	
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
				
				///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
					values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
		///Termina - Generar Clave de Tarea 01
				
				///Generador de ID consecutivo en la tabla Tareas
					$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
				///Fecha y Hora
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Generar Tarea de Surtido
					$sql_GT = "insert tabla_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,LOTE)
        			values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','$NumPal_w2','$CodSku_w1','$CanxSu_w1','$CantRestFin2','0','$NoDocSurEn','POR EJECUTAR','$UsuEn','$Fecha','$HoraOK','$UbiPal_w2','$Priorid_RC2','$ValLote_RC2')";
					$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
				
				///Guardar en la BD la cantidad Apartada
					$sqlGDS2 = "insert tabla_detalledocsurprio (CVE_BODEGA,CVE_CUENTA,TIPO_ALMACEN,NO_DOCUMENTO,SKU,CANT_ASIGNADA,USUARIO_REG,FECHA,HORA)
					values('$ClavBodCR2','$CuentaCR1','$TipAlmIDR1','$NoDocSurEn','$CodSku_w1','$CantRestFin2','$UsuEn','$Fecha','$HoraOK')";
					$resultadoGDS2=mysql_query($sqlGDS2,$conexion) or die(mysql_error());
	
	}///Inicia Else Break NP_001
				
			}///Termina If 200 - Proceso Nuevo Resurtiro
			
			
///$%&$%&$%&$%&$%&$%&$%&$%&$%&$%& TERMINA NUEVO PROCESO $%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&$%&///		
			
			
			
		}///Termina Else Valida Por Surtir Vs Asignado 01
		
///Limpiando Variables del While 02
		$IdBaDa_w2 = "";
		$CanPal_w2 = "";
		$LotPal_w2 = "";
		$LPrPal_w2 = "";
		$NumPal_w2 = "";
		$UbiPal_w2 = "";
		$Priori_w2 = "";
		
		$CantRestFin = "";
		$CCanti = "";
		$ValLote_RC2 = "";
		$Priorid_RC2 = "";
		$TotApartada = "";
		
	}///Termina While 02		
		

///REALIZAR COMPARATIVA DE CANTIDAD ANTES DE CONTINUAR
	$sqlSUMA_CG = "Select SUM(CANT_ASIGNADA) as ObtCant_CG FROM tabla_detalledocsurprio WHERE CVE_CUENTA='$CuentaCR1' AND 	TIPO_ALMACEN='$TipAlmIDR1' AND NO_DOCUMENTO='$NoDocSurEn' AND SKU='$CodSku_w1'";
	$resSUMA_CG = mysql_query($sqlSUMA_CG); 
	$PrePiezas_CG = mysql_fetch_assoc($resSUMA_CG);
	$TotApartada_CG =  $PrePiezas_CG ['ObtCant_CG'];
	
if ($TotApartada_CG == $CanxSu_w1)
{///Inicia IF COMPARATIVA DE CANTIDAD ANTES DE CONTINUAR
	break;
}///Termina IF COMPARATIVA DE CANTIDAD ANTES DE CONTINUAR
else
{///Inicia ELSE COMPARATIVA DE CANTIDAD ANTES DE CONTINUAR
	
	///¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿? Inicia Proceso 3 del Algoritmo ¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?///
		
		///Barrer todo el Stock a fin de generar todas las tareas de surtido en base a los criterios generales del Surtido
		$sql_W3=mysql_query("Select ID,CANTIDAD,LOTE,LOTEPRODU,NO_PALLET,UBICACION,PRIORIDAD from tabla_inventario where SKU='$CodSku_w1' AND CVE_CUENTA='$CuentaCR1' AND TIPO_ALMACEN='$TipAlmIDR1' AND EDO_CALIDAD='$TipSalIDR1' AND CANTIDAD>'0' AND NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CuentaCR1') Order By FECHA_ENTRADA ASC");
		if (mysql_numrows($sql_W3)==0) 
		{///Inicia If Si no hay Stock Bajo los Criterios Seleccionados 01
			
			///Inicia - Generar Clave de Tarea 03
				
					////Identificar el prefijo configurado para la tarea
						$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
						if (mysql_numrows($sqlIDE1)==0) echo "";
						else{
							$registroIDE1=mysql_fetch_array($sqlIDE1);
						}
						if (mysql_numrows($sqlIDE1)>0)
						{	
							$PrefijoTar=$registroIDE1["PREFIJO"];
						}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
						$FechaDeTarea=date("Ymd");
						$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
						$libDS = mysql_query($sqlDS); 
						$rs_libDS = mysql_fetch_assoc($libDS); 
						$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
						
						if ($id_nuevoDS <=9)
							{
								$IdenCeros="0000";
								$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
								$No_TareaFINPG=$No_Tarea;
							}
				
						if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
							{
								$IdenCeros="000";
								$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
								$No_TareaFINPG=$No_Tarea;
							}
	
						if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
							{
								$IdenCeros="00";
								$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
								$No_TareaFINPG=$No_Tarea;
							}
					
						if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
							{
								$IdenCeros="0";
								$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
								$No_TareaFINPG=$No_Tarea;
							}
						
						if ($id_nuevoDS >=10000)
							{
								$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
								$No_TareaFINPG=$No_Tarea;
							}
				
						///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
						$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
						$libP2 = mysql_query($sqlIDP2); 
						$rs_libP2 = mysql_fetch_assoc($libP2); 
						$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
						///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
						$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
						values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
						$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
						///Termina - Generar Clave de Tarea 03
				
						///Generador de ID consecutivo en la tabla Tareas
						$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
						$lib = mysql_query($sqlID); 
						$rs_lib = mysql_fetch_assoc($lib); 
						$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
						///Fecha y Hora
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
				
						///Generar Tarea de Surtido
						$sql_GT = "insert tabla_tareas 	(ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,OBSERVACIONES)
        				values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','0','$CodSku_w1','0','0','0','0','NO DISPONIBLE','$UsuEn','$Fecha','$HoraOK','0','0','No se encontro la cantidad de existencias del código $CodSku_w1 bajo los criterios seleccionados.')";
						$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
			
		} ///Termina If Si no hay Stock Bajo los Criterios Seleccionados 01
		while($res_W3=mysql_fetch_array($sql_W3))
		{///Inicia While 03
			$IdBaDa_w3 = $res_W3['ID'];
			$CanPal_w3 = $res_W3['CANTIDAD'];
			$LotPal_w3 = $res_W3['LOTE'];
			$LPrPal_w3 = $res_W3['LOTEPRODU'];
			$NumPal_w3 = $res_W3['NO_PALLET'];
			$UbiPal_w3 = $res_W3['UBICACION'];
			$Priori_w3 = $res_W3['PRIORIDAD'];
			
///Inicia IF General valida Pasillo surtido para proceso 01
			
$sql_VPS = mysql_query("select ID from tabla_pickingfijo where CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_w1'");
if (mysql_numrows($sql_VPS)<>0) 
{		
			
			////Identificar el total de piezas con tareas ya Registradas
			$sqlSUMA = "Select SUM(CANT_ASIGNADA) as ObtCant FROM tabla_detalledocsurprio WHERE CVE_CUENTA='$CuentaCR1' AND 	TIPO_ALMACEN='$TipAlmIDR1' AND NO_DOCUMENTO='$NoDocSurEn' AND SKU='$CodSku_w1'";
			$resSUMA = mysql_query($sqlSUMA); 
			$PrePiezas = mysql_fetch_assoc($resSUMA);
			$TotApartada =  $PrePiezas ['ObtCant'];
			
			if ($TotApartada == "0" or $TotApartada == "")
			{
				///$CantGenApartada = $TotApartada;
				$CantGenApartada = "0";
				///echo "Entra igual a 0"; -- Alert
			}
			else
			{
				$CantGenApartada = $TotApartada + $CanPal_w3;
			}
			
		///Identificar la Cantidad por Surtir VS la Cantidad Asignada
			
			///echo "<script>alert('En la sección 2: $CodSku_w1 | $CantGenApartada <= $CanxSu_w1');</script>";
			
		if ($CantGenApartada <= $CanxSu_w1)
		{///Inicia If Valida Por Surtir Vs Asignado 02
			$CantGenApartada = $TotApartada + $CanPal_w2;
			
			///Identificar el codigo SKU del producto por medio de la clave del Pallet
			$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NumPal_w3' AND ID='$IdBaDa_w3' AND SKU='$CodSku_w1'");
			if (mysql_numrows($sqlDU2)==0) echo "";
			else{
			$registroDU2=mysql_fetch_array($sqlDU2);
			}
			if (mysql_numrows($sqlDU2)>0)
			{
				$CCanti=$registroDU2["CANTIDAD"];
				$ValLote_RC2=$registroDU2["LOTE"];
				$Priorid_RC2=$registroDU2["PRIORIDAD"];
			}
			
			if ($CantGenApartada > $CanxSu_w1)
			{///Inicia If 200 - (2)
				
			///Inicia proceso donde solo se seleccionan las piezas solicitadas dentro del Surtido 
			///(Cantidad del Pallet es Mayor a la solicitada o al Restante solicitado) - Resurtido
				
				///Operación Artimetica
				$CantRestFin = $CCanti - $CanxSu_w1;

		///Inicia - Generar Clave de Tarea 04
				
				////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{	
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
				
				///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
					values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
		///Termina - Generar Clave de Tarea 04
				
				///Generador de ID consecutivo en la tabla Tareas
					$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
				///Fecha y Hora
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Generar Tarea de Surtido
					$sql_GT = "insert tabla_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,OBSERVACIONES)
        			values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','$NumPal_w3','$CodSku_w1','$CanxSu_w1','0','0','$NoDocSurEn','POR EJECUTAR','$UsuEn','$Fecha','$HoraOK','$UbiPal_w3','$Priorid_RC2','RESURTIDO')";
					$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
				
				///Llamamos a la funcion de Limpiar
				///$LimpiarWH03();
					
				///Saltamos al sig. registro del Bucle While
				///continue;
				break;
				
			}///Termina If 200 - (2)
			else
			{///Inia else 200 - (2)
				
				///Inicia proceso donde se seleccionan todas las piezas solicitadas dentro del Pallet
				///(Cantidad del Pallet es Igual a la solicitada o al Restante solicitado)
							
				///Operación Artimetica
				///$CantRestFin = $CCanti - $CanxSu_w1;  ---- NO ESTOY SEGURO SI ES AQUI
				$CantRestFin = $CCanti - $CCanti;
				
		///Inicia - Generar Clave de Tarea 05
				
				////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{	
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
				
				///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
					values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
		///Termina - Generar Clave de Tarea 02
				
				///Generador de ID consecutivo en la tabla Tareas
					$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
				///Fecha y Hora
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Generar Tarea de Surtido
					$sql_GT = "insert tabla_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,OBSERVACIONES)
        			values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','$NumPal_w3','$CodSku_w1','$CanxSu_w1','0','0','$NoDocSurEn','POR EJECUTAR','$UsuEn','$Fecha','$HoraOK','$UbiPal_w3','$Priorid_RC2','RESURTIDO')";
					$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
					
				///Llamamos a la funcion de Limpiar
				///$LimpiarWH03();
					
				///Saltamos al sig. registro del Bucle While
				///continue;
				break;
				
			}///Termina else 200 - (2)
			
			
			}///Termina If Valida Por Surtir Vs Asignado 02	
			else
			{///Inicia Else Valida Por Surtir Vs Asignado 02	
				
				///echo "<script>alert('Entra al Else $CodSku_w1 | Valida Por Surtir Vs Asignado 02 || $CantGenApartada <= $CanxSu_w1');</script>";
				
///%%%%%%%%%%%%%%%%%%%%%%%% INICIA NO ESTOY SEGURO
				
			///Identificar el codigo SKU del producto por medio de la clave del Pallet
			$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NumPal_w3' AND ID='$IdBaDa_w3' AND SKU='$CodSku_w1'");
			if (mysql_numrows($sqlDU2)==0) echo "";
			else{
			$registroDU2=mysql_fetch_array($sqlDU2);
			}
			if (mysql_numrows($sqlDU2)>0)
			{
				$CCanti=$registroDU2["CANTIDAD"];
				$ValLote_RC2=$registroDU2["LOTE"];
				$Priorid_RC2=$registroDU2["PRIORIDAD"];
			}
				
		///Inicia - Generar Clave de Tarea 06
				
				////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{	
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
				
				///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 

					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
					values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
		///Termina - Generar Clave de Tarea 06
				
				///Generador de ID consecutivo en la tabla Tareas
					$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
				///Fecha y Hora
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Generar Tarea de Surtido
					$sql_GT = "insert tabla_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,OBSERVACIONES)
        			values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','$NumPal_w3','$CodSku_w1','$CanxSu_w1','0','0','$NoDocSurEn','POR EJECUTAR','$UsuEn','$Fecha','$HoraOK','$UbiPal_w3','$Priorid_RC2','RESURTIDO')";
					$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
				
				///Saltamos al sig. registro del Bucle While
				///continue;
				break;
				
///%%%%%%%%%%%%%%%%%%%%%%%% TERMINA NO ESTOY SEGURO				
				
			}///Termina Else Valida Por Surtir Vs Asignado 02	
			
			///Limpiando Variables del While 03
			$IdBaDa_w3 = "";
			$CanPal_w3 = "";
			$LotPal_w3 = "";
			$LPrPal_w3 = "";
			$NumPal_w3 = "";
			$UbiPal_w3 = "";
			$Priori_w3 = "";
			$TotApartada = "";
			$CantGenApartada = "";
			$CCanti = "";
			$ValLote_RC2 = "";
			$Priorid_RC2 = "";
			$CantRestFin = "";
	
		}///Termina While 03

}///Termina ELSE COMPARATIVA DE CANTIDAD ANTES DE CONTINUAR			
		
}///Termina IF General valida Pasillo surtido para proceso 01
	
}///Termina While 01
			
		///Contar el numero de Tareas Generadas
		$sqlCta = "Select COUNT(*) as ObtCantCta FROM tabla_tareas WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocSurEn'";
		$resCta = mysql_query($sqlCta); 
		$PreCta = mysql_fetch_assoc($resCta);
		$CuentaLineas =  $PreCta ['ObtCantCta'];
			
		///Cambiar el estatus de la tarea de Surtido Original
		$Sql_MS = "UPDATE tabla_tareas SET ESTADO_TAREA = 'EJECUTADA',OBSERVACIONES='RESURTIDO - PROCESADO' WHERE NO_DOCUMENTO='$NoDocSurEn' AND SKU='$sku' AND NO_TAREA='$NoTarSurti'";
		$resultado_MS=mysql_query($Sql_MS) or die(mysql_error());			
			
		///Confirmación y Redireccionamiento
		echo "<SCRIPT>alert('Se han registrado tareas nuevas para el documento $NoDocSurEn.')</SCRIPT>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=16-SurtidoAsigna.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$NoDocSurEn&etiqueta=$etiqueta'>";

		///Confirmación y Redireccionamiento
		///echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=16-GeneraNuevasTareasSurtido2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSurEn&etiqueta=$etiqueta&sku=$sku&NoTareaSurt=$NoTarSurti'>";
		
?>	
<!-- Termina Cuerpo de la Pantalla -->
</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<?php
				
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>
